net.i2p.router.web

## Class ConfigServiceHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.ConfigServiceHandler

-     public class ConfigServiceHandler
      extends FormHandler

  Handler to deal with form submissions from the service config form and act upon the values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigServiceHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConsoleURL()`
    `boolean` | `isSystrayEnabled()` Is the systray enabled?
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `(package private) static void` | `registerSignalHandler(RouterContext ctx)` Register a handler for signals, so we can handle HUP from the wrapper (wrapper 3.2.0 or higher)
    `static void` | `registerWrapperNotifier(RouterContext ctx, int code, boolean rekey)` Register two shutdown hooks, one to rekey and/or tell the wrapper we are stopping, and a final one to tell the wrapper we are stopped.
    `boolean` | `shouldShowCancelGraceful()` Should we show the cancel button?
    `boolean` | `shouldShowSystray()` Should we show the systray controls?
    `static void` | `unregisterSignalHandler()` Unregister the handler for signals
    `static File` | `wrapperLogFile(I2PAppContext ctx)` Does not necessarily exist.

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigServiceHandler

          public ConfigServiceHandler()

  - ### Method Detail

    - #### getConsoleURL

          public String getConsoleURL()

    - #### isSystrayEnabled

          public boolean isSystrayEnabled()

      Is the systray enabled?

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### registerSignalHandler

          static void registerSignalHandler(RouterContext ctx)

      Register a handler for signals, so we can handle HUP from the wrapper (wrapper 3.2.0 or higher)

    - #### registerWrapperNotifier

          public static void registerWrapperNotifier(RouterContext ctx,
                                                     int code,
                                                     boolean rekey)

      Register two shutdown hooks, one to rekey and/or tell the wrapper we are stopping, and a final one to tell the wrapper we are stopped.

    - #### shouldShowCancelGraceful

          public boolean shouldShowCancelGraceful()

      Should we show the cancel button?

    - #### shouldShowSystray

          public boolean shouldShowSystray()

      Should we show the systray controls?

    - #### unregisterSignalHandler

          public static void unregisterSignalHandler()

      Unregister the handler for signals

    - #### wrapperLogFile

          public static File wrapperLogFile(I2PAppContext ctx)

      Does not necessarily exist.
      Returns:
        non-null, doesn't necessarily exist